#!/bin/bash
#
# fix stal-proxy home ilevel
#

MIC_STATUS=`LC_ALL=C astra-mic-control status`

if [ $MIC_STATUS == "ACTIVE" ]; then
    ILEV1=`grep -v ^# /lib/systemd/system/stal-proxy.service | awk -F':' '/PDPLabel/ { print $2 }'`
    if [ -n "$ILEV1" ]; then
        PROXY_HOME=`getent passwd | grep stal-proxy | cut -d ":" -f6`
        ILEV2=`pdp-ls -P -n -d $PROXY_HOME | awk -F':' '{  print $2 }'`

        if [ $ILEV1 != $ILEV2 ]; then
            set-fs-ilev $ILEV1 $PROXY_HOME > /dev/null 2>&1
        fi
    fi
fi

exit 0
