#!/bin/bash

dbus-send --dest=ru.uveon.stal --system --print-reply --type=method_call  /ru/uveon/stal ru.uveon.stal.stalSessions | awk '/uint32/ { print $2 }' |
while read sid; do
    if [ -n "$sid" ]; then
        echo "session id: $sid =>"
        dbus-send --dest=ru.uveon.stal --system --print-reply=literal --type=method_call  /ru/uveon/stal ru.uveon.stal.stalSessionInfoJson uint32:$sid
        echo -e "\n"
    fi
done
